Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/Content/FieldValue/Converter.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\FieldValue;
8
9 use eZ\Publish\SPI\Persistence\Content\FieldValue;
10 use eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldValue;
11 use eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition;
12 use eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition;
13
17 interface Converter
18 {
29 public function toStorageValue(FieldValue $value, StorageFieldValue $storageFieldValue);
30
37 public function toFieldValue(StorageFieldValue $value, FieldValue $fieldValue);
38
45 public function toStorageFieldDefinition(FieldDefinition $fieldDef, StorageFieldDefinition $storageDef);
46
53 public function toFieldDefinition(StorageFieldDefinition $storageDef, FieldDefinition $fieldDef);
54
66 public function getIndexColumn();
67 }
eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition
Definition: StorageFieldDefinition.php:12
eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldValue
Definition: StorageFieldValue.php:12
eZ\Publish\SPI\Persistence\Content\FieldValue
Definition: FieldValue.php:12
eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition
Definition: SPI/Persistence/Content/Type/FieldDefinition.php:18
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter
Converter for field values in legacy storage.
Definition: Persistence/Legacy/Content/FieldValue/Converter.php:18
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\toFieldValue
toFieldValue(StorageFieldValue $value, FieldValue $fieldValue)
Converts data from $value to $fieldValue.
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\toFieldDefinition
toFieldDefinition(StorageFieldDefinition $storageDef, FieldDefinition $fieldDef)
Converts field definition data in $storageDef into $fieldDef.
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\toStorageValue
toStorageValue(FieldValue $value, StorageFieldValue $storageFieldValue)
Converts data from $value to $storageFieldValue.
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\getIndexColumn
getIndexColumn()
Returns the name of the index column in the attribute table.
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\toStorageFieldDefinition
toStorageFieldDefinition(FieldDefinition $fieldDef, StorageFieldDefinition $storageDef)
Converts field definition data in $fieldDef into $storageFieldDef.
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.